LN(1)

NOMBRE
ln - crea enlaces entre archivos

SINOPSIS
ln [OPCIÓN]... [-T] OBJETIVO NOMBRE_DEL_ENLACE
ln [OPCIÓN]... OBJETIVO
ln [OPCIÓN]... OBJETIVO... DIRECTORIO
ln [OPCIÓN]... -t DIRECTORIO OBJETIVO...

DESCRIPCIÓN

En la primera forma, crea un enlace a OBJETIVO con el nombre NOMBRE_DEL_ENLACE. En la segunda forma, crea un enlace a OBJETIVO en el directorio actual. En las formas tercera y cuarta, crea enlaces a cada OBJETIVO en DIRECTORIO. Por omisión, se crean enlaces duros, se crean simbólicos con --symbolic. Por omisión, ningún destino (nombre del nuevo enlace) debe existir todavía. Cuando se crean enlaces duros, todos los OBJETIVOs deben existir. Los enlaces simbólicos pueden tener un texto arbitrario; si entonces se resuelve, un enlace relativo se interpreta en relación a su directorio padre.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

--backup[=CONTROL]
    crea una copia de seguridad de cada archivo de destino que ya exista

-b  como --backup pero no acepta ningún argumento

-d, -F, --directory
    permite al superusuario intentar crear un enlace duro entre directorios (note: puede que falle por restricciones del sistema, incluso para el superusuario)

-f, --force
    borra los archivos de destino que ya existieran

-i, --interactive
    pregunta si se borran los destinos

-L, --logical
    sigue los OBJETIVOS que sean enlaces simbólicos

-n, --no-dereference
    trata NOMBRE_DEL_ENLACE como archivo normal si es un enlace simbólico a un directorio

-P, --physical
    crea enlaces duros directamente a los enlaces simbólicos

-r, --relative
    crea enlaces simbólicos relativos al lugar del enlace

-s, --symbolic
    crea enlaces simbólicos en vez de enlaces duros

-S, --suffix=SUFIJO
    reemplaza el sufijo de respaldo habitual

-t, --target-directory=DIRECTORIO
    especifica el DIRECTORIO en el que se crearán los enlaces

-T, --no-target-directory
    trata siempre NOMBRE_DEL_ENLACE como un archivo normal

-v, --verbose
    imprime el nombre de cada archivo enlazado

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y termina

El sufijo de respaldo es '~', a menos que se establezca con --suffix o con SIMPLE_BACKUP_SUFFIX. El método de control de versión se puede seleccionar con la opción --backup o a través de la variable de entorno VERSION_CONTROL. Estos son los valores:

none, off
    nunca realiza copias de seguridad (incluso si se da la opción --backup)

numbered, t
    crea copias de seguridad numeradas

existing, nil
    numeradas si existen copias de seguridad numeradas, simples en caso contrario

simple, never
    siempre crea copias de seguridad simples

Si se utiliza -s entonces ni -L ni -P tienen efecto. En caso contrario, la última opción especificada controla el comportamiento cuando un OBJETIVO es un enlace simbólico, por omisión -P.

AUTOR
Escrito por Mike Parker y David MacKenzie.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
link(2), symlink(2)

Documentación completa: <https://www.gnu.org/software/coreutils/ln>
también puede acceder de forma local ejecutando: info '(coreutils) ln invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es>, Juan Piernas <piernas@ditec.um.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.